curl --request GET \
--url https://api.fintoc.com/v2/entities/{entity_id}/onboardings \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/entities/{entity_id}/onboardings"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/entities/{entity_id}/onboardings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "onbprc_0ujsswThIGTUYm2K8FjOOfXtY1K",
"object": "onboarding",
"entity_id": "ent_8anBwgZktbZH6ydyHa6Tm0eM",
"type": "account_holder",
"status": "pending",
"source": "api",
"submitted_at": null,
"reviewed_at": null
}
]{
"error": {
"type": "invalid_params",
"code": "invalid_params",
"message": "Cannot use starting_after and ending_before params at the same time"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "entity_id",
"message": "No such entity: ent_8anBwgZktbZH6ydyHa6Tm0eM",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}List onboardings
Lists the onboardings of the entity. Only onboardings belonging to the organization of the API key used are visible.
Authorizations
Path Parameters
The unique identifier of the entity (for example ent_8anBwgZktbZH6ydyHa6Tm0eM).
Query Parameters
Cursor for pagination. Use the id of the first onboarding on the current page to fetch the previous page. Cannot be combined with starting_after.
Maximum number of onboardings to return per page. Defaults to 30, with a maximum of 300.
Cursor for pagination. Use the id of the last onboarding on the current page to fetch the next page. Cannot be combined with ending_before.
Response
The list of onboardings of the entity, each as a compact object with its status and timestamps.
Unique identifier of the onboarding.
Type of the object. Always onboarding.
Identifier of the entity this onboarding belongs to.
Type of the onboarding: account_holder or settlement_recipient.
account_holder, settlement_recipient Current status of the onboarding. One of pending, in_progress, submitted, approved, rejected, or cancelled.
pending, in_progress, submitted, approved, rejected, cancelled Channel the onboarding is being completed through. One of api or dashboard.
api, dashboard ISO 8601 datetime, in UTC, of when the onboarding was submitted for review. null until it is submitted.
ISO 8601 datetime, in UTC, of when the onboarding was reviewed. null until it is reviewed.
Was this page helpful?